summaryrefslogtreecommitdiff
path: root/Kernel/build-image-qemu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Kernel/build-image-qemu.sh')
-rwxr-xr-xKernel/build-image-qemu.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/Kernel/build-image-qemu.sh b/Kernel/build-image-qemu.sh
index 492293a068..22bf2b80d8 100755
--- a/Kernel/build-image-qemu.sh
+++ b/Kernel/build-image-qemu.sh
@@ -1,33 +1,33 @@
-#!/bin/bash
+#!/bin/sh
set -e
die() {
- echo "die: $@"
+ echo "die: $*"
exit 1
}
-if [ $(id -u) != 0 ]; then
+if [ "$(id -u)" != 0 ]; then
die "this script needs to run as root"
fi
echo "setting up disk image..."
-qemu-img create _disk_image ${DISK_SIZE:-500}m || die "couldn't create disk image"
-chown $build_user:$build_group _disk_image || die "couldn't adjust permissions on disk image"
+qemu-img create _disk_image "${DISK_SIZE:-500}"m || die "couldn't create disk image"
+chown "$build_user":"$build_group" _disk_image || die "couldn't adjust permissions on disk image"
echo "done"
-echo -n "creating new filesystem... "
+printf "creating new filesystem... "
mke2fs -q -I 128 _disk_image || die "couldn't create filesystem"
echo "done"
-echo -n "mounting filesystem... "
+printf "mounting filesystem... "
mkdir -p mnt
mount _disk_image mnt/ || die "couldn't mount filesystem"
echo "done"
cleanup() {
if [ -d mnt ]; then
- echo -n "unmounting filesystem... "
+ printf "unmounting filesystem... "
umount mnt || ( sleep 1 && sync && umount mnt )
rm -rf mnt
echo "done"